## org.codehaus.groovy.antlr.treewalker
Class NodeAsHTMLPrinter

A visitor that prints a html tags of each node to the supplied PrintStream

author:
  Jeremy Rayner

version:
  $Revision: 7922 $

Field Summary
`PrintStream` | `out`
`Stack` | `stack`
`def` | `tokenNames`

Constructor Summary
`NodeAsHTMLPrinter(PrintStream out, def tokenNames)` A visitor that prints a html tags, for each node, to the supplied PrintStream.

Method Summary
`String` | `colour(GroovySourceAST t)`
`GroovySourceAST` | `pop()`
`void` | `push(GroovySourceAST t)`
`String` | `quote(String tokenName)`
`void` | `setUp()`
`void` | `tearDown()`
`void` | `visitDefault(GroovySourceAST t, int visit)`

Constructor Detail

### NodeAsHTMLPrinter

    public NodeAsHTMLPrinter(PrintStream out, def tokenNames)

  A visitor that prints a html tags, for each node, to the supplied PrintStream.
  param:
    out supplied PrintStream to output nodes to
  param:
    tokenNames an array of token names to use

Method Detail

### colour

    String colour(GroovySourceAST t)

### pop

    public GroovySourceAST pop()

### push

    public void push(GroovySourceAST t)

### quote

    String quote(String tokenName)

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### visitDefault

    public void visitDefault(GroovySourceAST t, int visit)